Subject: Re: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Sep 2011 02:54:07 -0400

> From: Jambunathan K <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked]
> Date: Tue, 13 Sep 2011 11:47:00 +0530
> 
> > So it's a mystery why this happens with the Cygwin Bash.  Jambunathan,
> > could you perhaps post a question to the Cygwin mailing list?
> 
> (setenv "CYGWIN" "noglob") 
> 
> solves the reported problem.
> 
> I was led to try the above option based on the below post which is
> fairly recent: http://sourceware.org/ml/cygwin/2011-07/msg00218.html

Thanks.  This unlocks the mystery.  I think we can now close the bug
report, do you agree?  Perhaps etc/PROBLEMS should advise Cygwin users
to set CYGWIN=noglob (as I understand the default is CYGWIN=glob).

I still don't understand why GLOB_BRACE causes "{0}" be expanded --
that sounds like a bug in the implementation of `glob' used by Cygwin,
no?  Perhaps a Cygwin bug report is in order.